<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>

<div layout:fragment="main" class="container">

  <div class="row mb-4">
    <div class="col-md-6">
      <h2><b>Daftar Semester BKD</b></h2>
    </div>
    <div class="col-md-6" align="right">
      <a class="btn btn-outline-primary pull-right" th:href="@{/semester/tambah}" style="outline-color: #0a53be">+ Tambah Semester</a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <div class="alert alert-success" th:if="${berhasil != null}">
        Berhasil disimpan.
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-6 mb-4" th:each="data, row:${list}">
      <div class="card">
        <div class="card-header bg-white">
          <div class="row p-4">
            <div class="col-md-8">
              <h4 th:if="${row.index == 0}"><i class="fa fa-calendar"></i> <span class="text-success" th:text="${data.namaSemester}"> Test Semester</span></h4>
              <h4 th:if="${row.index != 0}" ><i class="fa fa-calendar"></i> <span class="text-secondary" th:text="${data.namaSemester}"> Test Semester</span></h4>
            </div>
            <div class="col-md-4" align="right">
              <a th:if="${row.index == 0}" class="btn btn-outline-success" th:href="@{/semester/ubah(semester=${data.getId()})}">Ubah Semester</a>
              <a th:if="${row.index != 0}" class="btn btn-outline-secondary" th:href="@{/semester/ubah}">Ubah Semester</a>
            </div>
          </div>
        </div>
        <div class="card-body">
          <div class="row p-4">
            <div class="col-md-12">
              <span th:if="${row.index == 0}" class="text-success"><b>Periode Semester :</b></span>
              <span th:if="${row.index != 0}" class="text-secondary"><b>Periode Semester :</b></span>
            </div>
            <div class="col-md-12">
              <b th:text="${#temporals.format(data.tanggalBukaSemester, 'dd MMMM yyyy') + ' s/d ' + #temporals.format(data.tanggalTutupSemester, 'dd MMMM yyyy')}">1 Oktober 2022 s/d 31 Oktober 2022</b>
            </div>
            <div class="col-md-12">
              <table class="table table-hover table-striped">
                <thead th:if="${row.index != 0}" class="table-dark bg-secondary" style="--bs-table-bg:bg-secondary;">
                <tr>
                  <th class="p-3 align-middle">Kegiatan</th>
                  <th class="p-3 align-middle">Periode Waktu</th>
                </tr>
                </thead>
                <thead th:if="${row.index == 0}" class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                <tr>
                  <th class="p-3 align-middle">Kegiatan</th>
                  <th class="p-3 align-middle">Periode Waktu</th>
                </tr>
                </thead>
                <tbody class="small">
                <tr>
                  <td>Input Laporan BKD</td>
                  <td th:text="${#temporals.format(data.tanggalBukaLaporan, 'dd MMM yyyy hh:mm a') + ' - ' + #temporals.format(data.tanggalTutupLaporan, 'dd MMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                </tr>
                <tr>
                  <td>Penilaian oleh Asesor</td>
                  <td th:text="${#temporals.format(data.tanggalBukaPenilaian, 'dd MMM yyyy hh:mm a') + ' - ' + #temporals.format(data.tanggalTutupPenilaian, 'dd MMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                </tr>
                <tr>
                  <td>Perbaikan Laporan BKD</td>
                  <td th:text="${#temporals.format(data.tanggalBukaPerbaikan, 'dd MMM yyyy hh:mm a') + ' - ' + #temporals.format(data.tanggalTutupPerbaikan, 'dd MMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                </tr>
                <tr>
                  <td>Penilaian Ulang Asesor</td>
                  <td th:text="${#temporals.format(data.tanggalBukaPenilaianUlang, 'dd MMM yyyy hh:mm a') + ' - ' + #temporals.format(data.tanggalTutupPenilaianUlang, 'dd MMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>


  </div>

</div>
</body>
</html>